Package org.drinkless.tdlib

# Class TdApi.UpdateHavePendingNotifications

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateHavePendingNotifications

Enclosing class:
  `TdApi`

public static class TdApi.UpdateHavePendingNotifications extends TdApi.Update
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `haveDelayedNotifications`
  True, if there are some delayed notification updates, which will be sent soon.
  `boolean`
  `haveUnreceivedNotifications`
  True, if there can be some yet unreceived notifications, which are being fetched from the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateHavePendingNotifications()`
  Describes whether there are some pending notification updates.
  `UpdateHavePendingNotifications(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)`
  Describes whether there are some pending notification updates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### haveDelayedNotifications

    public boolean haveDelayedNotifications
    True, if there are some delayed notification updates, which will be sent soon.

  - ### haveUnreceivedNotifications

    public boolean haveUnreceivedNotifications
    True, if there can be some yet unreceived notifications, which are being fetched from the server.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateHavePendingNotifications

    public UpdateHavePendingNotifications()
    Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

  - ### UpdateHavePendingNotifications

    public UpdateHavePendingNotifications(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)
    Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.
    Parameters:
      `haveDelayedNotifications` - True, if there are some delayed notification updates, which will be sent soon.
      `haveUnreceivedNotifications` - True, if there can be some yet unreceived notifications, which are being fetched from the server.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR